interface SvgPointerEventData<E extends MouseEvent | PointerEvent> {
    x: number;
    y: number;
    originalEvent: E;
}
declare global {
    namespace svelteHTML {
        interface SVGAttributes<T> {
            "on:svg.pointermove"?: (event: CustomEvent<SvgPointerEventData<PointerEvent>>) => unknown;
            "on:svg.pointedown"?: (event: CustomEvent<SvgPointerEventData<PointerEvent>>) => unknown;
            "on:svg.pointerup"?: (event: CustomEvent<SvgPointerEventData<PointerEvent>>) => unknown;
            "on:svg.click"?: (event: CustomEvent<SvgPointerEventData<MouseEvent>>) => unknown;
        }
    }
}
/**
 * Facilitates retrieving the pointer's position as transformed by the host viewboxed svg element's
 * auto-scaling.
 *
 * @see https://stackoverflow.com/questions/10298658/mouse-position-inside-autoscaled-svg
 */
export default function svgPointerAction(svg: SVGSVGElement, {}?: {}): {
    update(args: any): void;
    destroy(): void;
};
export {};
