import { eventListenerStore } from "../../stores/eventListenerStore";
import { ClipboardManager } from "./Clipboard";
export function clickToCopyAction(node, text) {
    let stop;
    const destroy = () => {
        stop && stop();
    };
    const update = (text) => {
        destroy();
        async function handleClick() {
            try {
                await ClipboardManager.getInstance().copyToClipboard(typeof text === "function" ? text() : text);
                node.dispatchEvent(new CustomEvent("copy-done"));
            }
            catch (error) {
                node.dispatchEvent(new CustomEvent("copy-error", { detail: { error } }));
            }
        }
        ({ stop } = eventListenerStore("click", handleClick, node));
    };
    update(text);
    return {
        update,
        destroy,
    };
}
