import { eventListenerStore } from "../../stores/eventListenerStore";
import { timeoutFnStore } from "../../stores/timeoutFnStore";
export function debounceClickAction(node, { duration, onClick }) {
    let stop;
    const destroy = () => {
        stop && stop();
    };
    const update = ({ duration, onClick }) => {
        destroy();
        const { start, stop: stopTimer } = timeoutFnStore(onClick, duration, { immediate: false });
        async function handleClick(e) {
            start(e);
        }
        const { stop: stopClickEventListener } = eventListenerStore("click", handleClick, node);
        stop = () => {
            stopTimer();
            stopClickEventListener();
        };
    };
    update({ duration, onClick });
    return {
        update,
        destroy,
    };
}
