export interface EyeDropperOpenOptions {
    /**
     * @see https://developer.mozilla.org/en-US/docs/Web/API/AbortSignal
     */
    signal?: AbortSignal;
}
export interface EyeDropper {
    new (): EyeDropper;
    open: (options?: EyeDropperOpenOptions) => Promise<{
        sRGBHex: string;
    }>;
    [Symbol.toStringTag]: "EyeDropper";
}
interface EyeDropperActionParams {
    onDone: (color: string) => void;
    onError?: (e: Error) => void;
}
export declare function eyeDropperAction<T extends HTMLElement>(node: T, { onDone, onError }: EyeDropperActionParams): {
    update: () => void;
    destroy: () => void;
};
export {};
