import { eventListenerStore } from "../../stores/eventListenerStore";
export function eyeDropperAction(node, { onDone, onError }) {
    let stop;
    const destroy = () => {
        stop && stop();
    };
    const update = () => {
        destroy();
        const isSupported = typeof window !== "undefined" && "EyeDropper" in window;
        async function handleClick() {
            if (!isSupported) {
                console.warn("Eyedropeer is not supported");
                return;
            }
            const eyeDropper = new window.EyeDropper();
            eyeDropper
                .open()
                .then((result) => {
                onDone(result.sRGBHex);
            })
                .catch(onError);
        }
        ({ stop } = eventListenerStore("click", handleClick, node));
    };
    update();
    return {
        update,
        destroy,
    };
}
