import { hoverStore } from "../../stores/hoverStore";
function CreateHoverEvent(hover) {
    return new CustomEvent("hover", { detail: { hover } });
}
export function hoverAction(node) {
    const hover = hoverStore(node);
    let unsub = null;
    function stop() {
        if (unsub !== null) {
            unsub();
        }
    }
    function start() {
        stop();
        unsub = hover.subscribe((hover) => {
            node.dispatchEvent(CreateHoverEvent(hover));
        });
    }
    start();
    return {
        destroy: stop,
    };
}
