import { elementVisibilityStore } from "../../stores/elementVisibilityStore";
export function lazyLoadImageAction(node) {
    if (!(node instanceof HTMLImageElement)) {
        throw new Error("Target element should be an image element");
    }
    let stop;
    const destroy = () => {
        stop && stop();
    };
    const update = () => {
        destroy();
        const store = elementVisibilityStore(node);
        let unsub;
        function handleVisibility(isVisible) {
            if (isVisible) {
                const url = node.getAttribute("data-src");
                if (url) {
                    node.src = url;
                }
                unsub && unsub();
            }
        }
        unsub = store.isVisible.subscribe(handleVisibility);
        stop = () => {
            unsub && unsub();
            store.stop();
        };
    };
    update();
    return {
        update,
        destroy,
    };
}
