type Undefineable<T> = T | undefined;
type SetupType = {
    styles: CSSStyleDeclaration;
    minRows: Undefineable<number | string>;
    maxRows: Undefineable<number | string>;
};
declare class ProxyTextareaElement {
    static _proxyTextareaElement: HTMLTextAreaElement | undefined;
    _element: HTMLTextAreaElement | undefined;
    _minRows: number;
    _maxRows: number;
    _minHeightFromResizeObserver: number;
    _sourceStyles: Undefineable<CSSStyleDeclaration>;
    _hasDragStarted: boolean;
    _lastCalculatedHeight: number;
    _probablyResizeHappen: boolean;
    hasStarted: boolean;
    __onpointerdown: (e: PointerEvent) => void;
    __onpointermove: () => void;
    __onpointerup: (e: PointerEvent) => void;
    __setup({ styles, maxRows, minRows }: SetupType): void;
    __updateText(text: string): void;
    __getComputedHeight(): number;
    start(element: HTMLTextAreaElement, minRows?: number, maxRows?: number): void;
    onUpdateText(text: string): void;
    cleanUp(): void;
}
export default ProxyTextareaElement;
