import { derived } from "svelte/store";
export function pick(store, ...keys) {
    return derived(store, ($store) => {
        if (keys.length === 1) {
            return $store[keys[0]];
        }
        return keys
            .map((key) => [key, $store[key]])
            .reduce((map, pair) => {
            const [key, value] = pair;
            map[key] = value;
            return map;
        }, {});
    });
}
