import { derived } from "svelte/store";
export function pickArray(store, ...keys) {
    return derived(store, ($store) => {
        return $store.map((value) => {
            if (keys.length === 1) {
                return value[keys[0]];
            }
            return keys
                .map((key) => [key, value[key]])
                .reduce((map, pair) => {
                const [key, value] = pair;
                map[key] = value;
                return map;
            }, {});
        });
    });
}
