import { type Readable } from "svelte/store";
type ComparatorFn<T> = (a: T, b: T) => number;
type SortFn<T> = (arr: T[], compareFn: ComparatorFn<T>) => T[];
interface SortParams<T> {
    sortFn?: SortFn<T>;
    compareFn?: ComparatorFn<T>;
}
export declare function sort<T>(store: Readable<T[]>, params?: SortParams<T>): Readable<T[]>;
export {};
