import { derived } from "svelte/store";
function defaultSortFn(source, compareFn) {
    return source.sort(compareFn);
}
const defaultCompare = (a, b) => {
    return a - b;
};
export function sort(store, params = {}) {
    const { sortFn = defaultSortFn, compareFn = defaultCompare } = params;
    return derived(store, ($store) => {
        if (!($store instanceof Array)) {
            throw new Error("Store must be an instance of Array");
        }
        return sortFn($store.slice(), compareFn);
    });
}
