import { type Readable } from "svelte/store";
export interface UseToNumberOptions {
    /**
     * Method to use to convert the value to a number.
     *
     * @default 'parseFloat'
     */
    method?: "parseFloat" | "parseInt";
    /**
     * The base in mathematical numeral systems passed to `parseInt`.
     * Only works with `method: 'parseInt'`
     */
    radix?: number;
    /**
     * Replace NaN with zero
     *
     * @default false
     */
    nanToZero?: boolean;
}
export declare function toNumber(store: Readable<string | number | undefined | null>, options?: UseToNumberOptions): Readable<string | number | null | undefined>;
