import { derived } from "svelte/store";
export function toNumber(store, options = {}) {
    const { method = "parseFloat", radix, nanToZero } = options;
    return derived(store, ($store) => {
        let resolved = $store;
        if (typeof $store === "string")
            resolved = Number[method](resolved, radix);
        if (nanToZero && isNaN(resolved))
            resolved = 0;
        return resolved;
    });
}
