import { defaultDocument } from "../../shared";
import { writable } from "svelte/store";
export function cssVarStore(name, { el, initialValue } = {}) {
    const target = el || defaultDocument?.documentElement;
    const store = writable(initialValue);
    function updateCSSVar(value) {
        target?.style.setProperty(name, value);
    }
    function set(value) {
        updateCSSVar(value);
        store.set(value);
    }
    if (initialValue) {
        updateCSSVar(initialValue);
    }
    return {
        subscribe: store.subscribe,
        set,
    };
}
