import { defaultDocument } from "../../shared";
import { readable } from "svelte/store";
function getCurrentDocumentVisibility(document = defaultDocument) {
    if (!document)
        return "visible";
    return document.visibilityState;
}
export function documentVisibilityStore({ document = defaultDocument, } = {}) {
    const visibility = readable(getCurrentDocumentVisibility(document), (set) => {
        function handler() {
            set(getCurrentDocumentVisibility());
        }
        if (document) {
            document.addEventListener("visibilitychange", handler);
            return () => {
                document.removeEventListener("visibilitychange", handler);
            };
        }
    });
    return visibility;
}
