import { writableToReadable } from "../../shared";
import { writable } from "svelte/store";
import { resizeObserverStore } from "../resizeObserverStore";
function getBounding(target) {
    return target.getBoundingClientRect();
}
/**
 * Reactive size of an HTML element.
 *
 * @param target
 * @param callback
 * @param options
 */
export function elementBoundingStore(target) {
    const size = writable(getBounding(target));
    resizeObserverStore(target, () => {
        size.set(getBounding(target));
    });
    return writableToReadable(size);
}
