import { writableToReadable } from "../../shared";
import { writable } from "svelte/store";
import { resizeObserverStore } from "../resizeObserverStore";
/**
 * Reactive size of an HTML element.
 *
 * @param target
 * @param callback
 * @param options
 */
export function elementSizeStore(target) {
    const size = writable({ width: 0, height: 0 });
    if (target !== null) {
        resizeObserverStore(target, ([entry]) => {
            size.set({
                width: entry.contentRect.width,
                height: entry.contentRect.height,
            });
        });
    }
    return writableToReadable(size);
}
