import { writableToReadable } from "../../shared";
import { writable } from "svelte/store";
export function eyeDropperStore(initialColor) {
    const store = writable(initialColor);
    const open = () => {
        const isSupported = typeof window !== "undefined" && "EyeDropper" in window;
        if (!isSupported) {
            console.warn("Eyedropeer is not supported");
            return;
        }
        const eyeDropper = new window.EyeDropper();
        eyeDropper
            .open()
            .then((result) => {
            store.set(result.sRGBHex);
        })
            .catch((e) => {
            console.warn(e);
        });
    };
    return {
        open,
        color: writableToReadable(store),
    };
}
