import { readable } from "svelte/store";
import { intervalFnStore } from "../intervalFnStore";
export function memoryStore() {
    let memory = undefined;
    const isSupported = typeof performance !== "undefined" && "memory" in performance;
    if (isSupported) {
        memory = performance.memory;
    }
    return readable({ isSupported, memory }, (set) => {
        let stop = () => { };
        if (isSupported) {
            const { pause } = intervalFnStore(() => {
                memory = performance.memory;
                set({ isSupported, memory });
                stop = pause;
            }, 1000);
        }
        return stop;
    });
}
