import { defaultWindow } from "../../shared";
import { readable } from "svelte/store";
import { listen } from "svelte/internal";
const initialValue = {
    x: 0,
    y: 0,
};
function getCurrentMousePosition(e) {
    if (!e)
        return initialValue;
    return {
        x: e.pageX,
        y: e.pageY,
    };
}
export function mouseStore(options = {}) {
    const { window = defaultWindow } = options;
    const position = readable(getCurrentMousePosition(), (set) => {
        function handler(e) {
            set(getCurrentMousePosition(e));
        }
        if (window) {
            const stop = listen(window, "mousemove", handler);
            return () => {
                stop();
            };
        }
    });
    return position;
}
