import { tryOnDestroy } from "../../shared";
export function resizeObserverStore(target, callback) {
    let observer = null;
    function cleanUp() {
        if (observer !== null) {
            observer.disconnect();
            observer = null;
        }
    }
    function connect() {
        cleanUp();
        observer = new ResizeObserver(callback);
        observer.observe(target);
    }
    function stop() {
        cleanUp();
    }
    tryOnDestroy(cleanUp);
    connect();
    return {
        stop,
    };
}
