import type { Fn, Stoppable } from "../../shared/utils/types";
export interface UseTimeoutFnOptions {
    /**
     * Start the timer immediate after calling this function
     *
     * @default true
     */
    immediate?: boolean;
}
/**
 * Wrapper for `setTimeout` with controls.
 *
 * @param cb
 * @param interval
 * @param options
 */
export declare function timeoutFnStore(fn: Fn, interval?: number, options?: UseTimeoutFnOptions): Stoppable & {
    changeDuration: (duration: number) => void;
};
