import type { Fn, Stoppable } from "../../shared/utils/types";
import { type Readable } from "svelte/store";
import { type UseTimeoutFnOptions } from "../timeoutFnStore";
export interface UseTimeoutOptions<Controls extends boolean> extends UseTimeoutFnOptions {
    /**
     * Expose more controls
     *
     * @default false
     */
    controls?: Controls;
    /**
     * Callback on timeout
     */
    callback?: Fn;
}
/**
 * Update value after a given time with controls.
 *
 * @see   {@link https://vueuse.org/useTimeout}
 * @param interval
 * @param options
 */
export declare function timeoutStore(interval?: number, options?: UseTimeoutOptions<false>): Readable<boolean>;
export declare function timeoutStore(internal: number, options: UseTimeoutOptions<true>): {
    ready: Readable<boolean>;
} & Stoppable;
