import { writableToReadable } from "../../shared";
import { writable } from "svelte/store";
export function toggleStore(initialValue = false) {
    const store = writable(initialValue);
    const toggle = () => {
        store.update((value) => !value);
    };
    const set = (value) => {
        store.set(value);
    };
    const on = () => {
        set(true);
    };
    const off = () => {
        set(false);
    };
    return {
        value: writableToReadable(store),
        toggle,
        on,
        off,
    };
}
