import { defaultWindow } from "../../shared";
import { readable } from "svelte/store";
import { listen } from "svelte/internal";
const initialValue = {
    x: 0,
    y: 0,
};
function getCurrentScroll(window = defaultWindow) {
    if (!window)
        return initialValue;
    return {
        x: window.scrollX,
        y: window.scrollY,
    };
}
export function windowScrollStore({ window = defaultWindow, } = {}) {
    const position = readable(getCurrentScroll(), (set) => {
        function handler() {
            set(getCurrentScroll());
        }
        if (window) {
            const stop = listen(window, "scroll", handler);
            return () => {
                stop();
            };
        }
    });
    return position;
}
