import { linear } from "svelte/easing";
function getTransform(direction, value) {
    switch (direction) {
        case "top":
            return `translateY(-${value}%)`;
        case "bottom":
            return `translateY(${value}%)`;
        case "left":
            return `translateX(-${value}%)`;
        case "right":
            return `translateX(${value}%)`;
    }
}
export function roll(node, params = {}) {
    const { delay = 0, duration = 600, easing = linear, direction = "top" } = params;
    return {
        delay,
        duration,
        easing,
        css: (t, u) => `transform: ${getTransform(direction, u * 100)} rotate(${t * 360}deg); opacity: ${t}`,
    };
}
