import { linear } from "svelte/easing";
function getTransform(direction, value) {
    switch (direction) {
        case "top":
            return `translateY(-${value}%)`;
        case "bottom":
            return `translateY(${value}%)`;
        case "left":
            return `translateX(-${value}%)`;
        case "right":
            return `translateX(${value}%)`;
        case "top-left":
            return `translateY(-${value}%) translateX(-${value}%)`;
        case "top-right":
            return `translateY(-${value}%) translateX(${value}%)`;
        case "bottom-left":
            return `translateY(${value}%) translateX(-${value}%)`;
        case "bottom-right":
            return `translateY(${value}%) translateX(${value}%)`;
    }
}
export function slide(node, params = {}) {
    const { delay = 0, duration = 300, easing = linear, direction = "top" } = params;
    return {
        delay,
        duration,
        easing,
        css: (t, u) => `transform: ${getTransform(direction, u * 100)}; opacity: ${t}`,
    };
}
