import { defaultWindow } from "../../shared";
import { readable } from "svelte/store";
import { listen } from "svelte/internal";
export function preferredLanguages() {
    return readable(["en"], (set) => {
        const window = defaultWindow;
        let cleanup = () => { };
        if (window) {
            const navigator = window.navigator;
            set(navigator.languages);
            function update() {
                set(navigator.languages);
            }
            cleanup = listen(window, "languagechange", update);
        }
        return cleanup;
    });
}
