import { writable } from "svelte/store";
export function reduceable(reducerFunction, initialState) {
    const { subscribe, update } = writable(initialState);
    function dispatch(action) {
        update((state) => reducerFunction(state, action));
    }
    return {
        subscribe,
        dispatch,
    };
}
