import { tryOnDestroy } from "../../shared";
export function watchOnce(store, callback) {
    let isStopped = false;
    let times = 0;
    let oldVal;
    const unsub = store.subscribe((value) => {
        if (times === 1) {
            callback(value, oldVal);
            isStopped = true;
            unsub();
        }
        oldVal = value;
        times++;
    });
    tryOnDestroy(() => {
        if (!isStopped)
            unsub();
    });
}
