import { tryOnDestroy } from "../../shared";
export function watchWithFilter(store, predicateFn, callback, params = {}) {
    const { immediate = false } = params;
    let times = 0;
    let oldVal;
    const unsub = store.subscribe((value) => {
        if (immediate && times === 0) {
            predicateFn(value) && callback(value, oldVal);
        }
        else if (times > 0) {
            predicateFn(value) && callback(value, oldVal);
        }
        oldVal = value;
        times++;
    });
    tryOnDestroy(unsub);
}
